#常规设置
server.port =20005
server.servlet.context-path=
spring.servlet.multipart.max-file-size=40MB
spring.servlet.multipart.max-request-size=40MB
#是否直接web端打印错误信息
spring.devtools.add-properties=true

#设置默认的数据源或者数据源组,默认值即为supply
spring.datasource.dynamic.primary=supply
#严格匹配数据源,默认false. true未匹配到指定数据源时抛异常,false使用默认数据源
spring.datasource.dynamic.strict=false
spring.datasource.dynamic.datasource.supply.url=jdbc:mysql://121.43.111.127:3306/gj_supply_dev2?verifyServerCertificate=false&useSSL=false&requireSSL=false&useUnicode=true&characterEncoding=UTF-8&characterSetResults=utf8&rewriteBatchedStatements=true&serverTimezone=Asia/Shanghai
spring.datasource.dynamic.datasource.supply.username=root
spring.datasource.dynamic.datasource.supply.password=xch!eCdvc124@
spring.datasource.dynamic.datasource.supply.driver-class-name=com.mysql.cj.jdbc.Driver

#spring.datasource.dynamic.datasource.engin.url=jdbc:mysql://121.43.111.127:3306/geli?verifyServerCertificate=false&useSSL=false&requireSSL=false&useUnicode=true&characterEncoding=UTF-8&characterSetResults=utf8&rewriteBatchedStatements=true&serverTimezone=Asia/Shanghai
#spring.datasource.dynamic.datasource.engin.username=root
#spring.datasource.dynamic.datasource.engin.password=xch!eCdvc124@
#spring.datasource.dynamic.datasource.engin.driver-class-name=com.mysql.cj.jdbc.Driver

#spring.datasource.druid.db-type=mysql
#spring.datasource.type=com.alibaba.druid.pool.DruidDataSource
#spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
#spring.datasource.url=jdbc:mysql://121.43.111.127:3306/supply_dev?verifyServerCertificate=false&useSSL=false&requireSSL=false&useUnicode=true&characterEncoding=UTF-8&characterSetResults=utf8&rewriteBatchedStatements=true&serverTimezone=Asia/Shanghai
#spring.datasource.username=root
#spring.datasource.password=xch!eCdvc124@

#prd
#spring.datasource.url=jdbc:mysql://rm-wz9g6r63t32826xf7bo.mysql.rds.aliyuncs.com:3306/supply?verifyServerCertificate=false&useSSL=false&requireSSL=false&useUnicode=true&characterEncoding=UTF-8&characterSetResults=utf8&serverTimezone=Asia/Shanghai
#spring.datasource.username=zfire_supply
#spring.datasource.password=zfire!@#321

spring.datasource.druid.connection-init-sqls=set names utf8mb4
spring.datasource.druid.initial-size=5
spring.datasource.druid.minIdle=5
spring.datasource.druid.maxActive=20
### 配置获取连接等待超时的时间，单位是毫秒
spring.datasource.druid.maxWait=60000
### 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
spring.datasource.druid.timeBetweenEvictionRunsMillis=60000
### 配置一个连接在池中最小生存的时间，单位是毫秒
spring.datasource.druid.minEvictableIdleTimeMillis=300000
spring.datasource.druid.validationQuery=SELECT 1 FROM DUAL
spring.datasource.druid.testWhileIdle=true
spring.datasource.druid.testOnBorrow=false
spring.datasource.druid.testOnReturn=false
### 打开PSCache，并且指定每个连接上PSCache的大小
spring.datasource.druid.poolPreparedStatements=true
spring.datasource.druid.maxPoolPreparedStatementPerConnectionSize=20
### 配置监控统计拦截的filters，去掉后监控界面sql无法统计，'wall'用于防火墙
spring.datasource.druid.filters=stat,wall
### 通过connectProperties属性来打开mergeSql功能；慢SQL记录
spring.datasource.druid.connectionProperties=druid.stat.mergeSql=true;druid.stat.slowSqlMillis=5000

### log4j配置
logging.config=classpath:logback.xml
#undertow_web容器配置
server.undertow.accesslog.dir=${user.dir}/logs/access
server.undertow.accesslog.enabled=true
server.undertow.accesslog.pattern=%h %l %u %t "%r" %s %b %D
server.undertow.accesslog.prefix=access_log.
server.undertow.accesslog.rotate=true
server.undertow.accesslog.suffix=log
server.undertow.max-http-post-size=10240000
#swagger-login-account
#spring.security.user.name=admin
#spring.security.user.password=gree2021
#mybatis-plus配置
mybatis-plus.mapper-locations=classpath*:/mapper/**Mapper.xml
#主键类型  0:"数据库ID自增", 1:"用户输入ID",2:"全局唯一ID (数字类型唯一ID)", 3:"全局唯一ID UUID";
mybatis-plus.global-config.db-config.id-type=id_worker_str
#jackson组件时区
spring.jackson.date-format=yyyy-MM-dd HH:mm:ss
spring.jackson.time-zone=GMT+8
spring.jackson.timeZone=GMT+08:00
spring.jackson.serialization.write_dates_as_timestamps=false
spring.mvc.date-format=yyyy-MM-dd HH:mm:ss

#####################redis 单机版 start################
spring.redis.port=6388
spring.redis.host=121.43.111.127
#redis密码
spring.redis.password=private123@^
spring.redis.lettuce.pool.max-active=300
spring.redis.lettuce.pool.max-wait=1000ms
spring.redis.lettuce.pool.max-idle=100
spring.redis.lettuce.pool.min-idle=0
spring.redis.timeout=100000ms

mybatis-plus.configuration.log-impl=org.apache.ibatis.logging.stdout.StdOutImpl


####################金蝶 start ####################
#地址
k3.cloud.url=http://39.108.234.208:81/k3cloud/
#账套 测试9.21
k3.cloud.db=63184edc686295
#账号
k3.cloud.account=administrator
#密码
k3.cloud.password=123456a!
#语言编号
k3.cloud.lang=2052
####################金蝶 end ####################


####################金蝶格匠 start ####################
#地址
k3.cloud.gejiang.url=http://39.108.234.208:81/k3cloud/

#账套
k3.cloud.gejiang.db=63184edc686295
#账号
k3.cloud.gejiang.account=administrator
#密码
k3.cloud.gejiang.password=123456a!
#语言编号
k3.cloud.gejiang.lang=2052
####################金蝶 end ####################


###########################工程登录#######################
#engin.url=http://116.62.158.92:8080/sysadmin
#engin.url=http://127.0.0.1:8080/sysadmin
#engin.user.check.url=${engin.url}/other/login/tryLogin
#engin.user.login.url=${engin.url}/login/
file.url=http://hg.zfire.top/api/img/get?key=

####################阿里云配置######################
ali.access.key.id=LTAI5tDHiEGKuwzNhW2gLPyc
ali.access.key.secert=NVXSx3Gj7fHv6unGwWgalJh49uMZOI
ali.oss.bucket.name=supply-overseas
ali.oss.endpoint.ww=oss-cn-guangzhou.aliyuncs.com/
ali.oss.endpoint=oss-cn-guangzhou-internal.aliyuncs.com/
ali.oss.type.pic=uploadfile/
ali.sms.msg.code=SMS_284585310


spring.freemarker.cache= false
spring.freemarker.charset=UTF-8
spring.freemarker.tempalte-loader-path=classpath:/template


#枚举类
mybatis-plus.typeEnumsPackage=com.zfire.mall.manager.enums


#嘉贤key和secret

jiaxian.key = gonyingliankey
jiaxian.secret = afaf454ecrw8416arqfgv5
jiaxian.url = http://8.134.136.196:7070/wms
jiaxiandacang.url = http://8.134.136.196:5050/bwms


#工单API
gongdan.url=https://admin.zfire.top
gongdan.client_name=gs-java
gongdan.key=6aw4gwGqwQRR4-12
gongdan.password=au9uga9wgJJwj23544++4444
gongdan.token.get.url=${gongdan.url}/services/token/getToken
gongdan.install.create.url=${gongdan.url}/services/order/install/mallCreateInstall
gongdan.repair.create.url=${gongdan.url}/services/order/repair/mallCreateRepair
gongdan.install.detail.url=${gongdan.url}/services/order/install/getDetailList
gongdan.repair.detail.url=${gongdan.url}/services/order/repair/getDetailListqre
equipment.code.url = jsWOhvsiIVSOhsdSD
